Package: org.apache.groovy.swing.binding

## [Java] Class EventTriggerBinding

- org.apache.groovy.swing.binding.EventTriggerBinding

- All Implemented Interfaces and Traits:
    TriggerBinding

      public class EventTriggerBinding
      extends Object
      implements TriggerBinding

  Creates bindings that update whenever a named event handler property fires.

  Since:
    Groovy 1.1

- - ### Constructor Summary

    Constructors
    Constructor and description
    `EventTriggerBinding(Object triggerBean, String eventName)` Creates a trigger binding for the supplied bean event property.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public FullBinding` | `createBinding(SourceBinding sourceBinding, TargetBinding targetBinding)` Creates a full binding that reacts when the event handler is invoked.
    `` | `public String` | `getEventName()` Returns the event handler property name.
    `` | `public Object` | `getTriggerBean()` Returns the bean that exposes the event handler property.
    `` | `public void` | `setEventName(String eventName)` Replaces the event handler property name.
    `` | `public void` | `setTriggerBean(Object triggerBean)` Replaces the bean that exposes the event handler property.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public EventTriggerBinding(Object triggerBean, String eventName)

      Creates a trigger binding for the supplied bean event property.

      Parameters:
        `triggerBean` - the bean that exposes the event property
        `eventName` - the event property name

  - ### Method Detail

    - #### public FullBinding createBinding(SourceBinding sourceBinding, TargetBinding targetBinding)

      Creates a full binding that reacts when the event handler is invoked.

      Parameters:
        `sourceBinding` - the source binding to read from
        `targetBinding` - the target binding to update
      Returns:
        the created event-triggered binding

    - #### public String getEventName()

      Returns the event handler property name.

      Returns:
        the event property name

    - #### public Object getTriggerBean()

      Returns the bean that exposes the event handler property.

      Returns:
        the trigger bean

    - #### public void setEventName(String eventName)

      Replaces the event handler property name.

      Parameters:
        `eventName` - the new event property name

    - #### public void setTriggerBean(Object triggerBean)

      Replaces the bean that exposes the event handler property.

      Parameters:
        `triggerBean` - the new trigger bean